function cmm_wrapper = cmmWrap(chm_package)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This code allows for large groups of segments to be sent in bulk to
%available cores using multicore parallelization. 

%Input format: an mx1 cell each containing a segment (double)

%This code calls max_filter_variable_window.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    cmm_wrapper = cell(length(chm_package),1);
    num = length(chm_package);

    for seg_prog = 1:length(chm_package)

        %each segment is sent for CMM processing here
        cmm_wrapper{seg_prog} = max_filter_variable_window(chm_package{seg_prog});
        
        %status updates printed
        fprintf('Seg per: %u\n',(seg_prog/num)*100)

    end

return

